#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	GD
%define		pnam	Graph
%include	/usr/lib/rpm/macros.perl
Summary:	GD::Graph - graph plotting module for Perl
Summary(pl.UTF-8):	GD::Graph - moduł do rysowania grafów dla Perla
Name:		perl-GD-Graph
Version:	1.48
Release:	1
Epoch:		1
# same as perl, but contains GPL v2+ font file required by examples, so
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	2c9e4feb4246200d96b9faa8024b0bf0
Patch0:		%{name}-samples.patch
URL:		http://search.cpan.org/dist/GDGraph/
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-png
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-GD >= 1.18
BuildRequires:	perl-GD-TextUtil >= 0.80
%endif
Requires:	perl-GD >= 1.18
Requires:	perl-GD-TextUtil >= 0.80
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::Graph is a Perl module to create charts, using the GD module.

%description -l pl.UTF-8
Moduł Perla GD::Graph służy do tworzenia wykresów przy pomocy modułu
GD.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}
%patch0 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}
%{?with_tests:%{__make} samples}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p samples/*.{dat,pl,png,txt} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/GD/Graph/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/GD/Graph.pm
%{perl_vendorlib}/GD/Graph
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GD-Graph.git;a=log;h=master

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f291b03
- up to 1.48

* Mon Aug 29 2011 Elan Ruusamäe <glen@pld-linux.org> 6169852
- don't package backup files

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f279a34
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cc710a4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0f37fc8
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 83b6f53
- generic URL

* Fri Aug 25 2006 radek <radek@pld-linux.org> d0b0de4
- release 4

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 99b197e
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Jun 26 2006 maciek2w <maciek2w@pld-linux.org> ef2ee57
- updated to 1.4308

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9bcbe18
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 63dee8f
- get rid of pod documentation
- release 3

* Fri May 07 2004 ankry <ankry@pld-linux.org> 61cf039
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> d4f2ca6
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> d2efeab
- cosmetics: unification

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> a9d6e41
- summary, description
- font removed; added patch to fix font path

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> dbcd9b5
- more about license, samples font moved to _examplesdir

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 227b17b
- now fits font location in our package

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 4a43be2
- ported to new bconds

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 1820194
- updated to 1.43

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 24f38c8
- spaces -> tab

